mttrOverTime
Returns dashboard mttr over time
mttrOverTime(
companyId: ID!
params: FilterParams
): MttrOverTime!
Arguments
mttrOverTime.companyId ● ID! non-null scalar
mttrOverTime.params ● FilterParams input
Type
MttrOverTime object
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the companies query first and use data.companies.collection[].id as companyId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetMttrOverTime($companyId: ID!) {\n mttrOverTime(companyId: $companyId) { all critical dates }\n}","variables":{"companyId":"<company_id>"}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetMttrOverTime($companyId: ID!) {\n mttrOverTime(companyId: $companyId) { all critical dates }\n}",
variables: {
"companyId": "<company_id>"
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetMttrOverTime($companyId: ID!) {\n mttrOverTime(companyId: $companyId) { all critical dates }\n}",
'variables': json.loads("{\"companyId\":\"<company_id>\"}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute